// priority: 2000

//   #    #     #  #####  ######  
//  # #   #     # #     # #     # 
// #   #  #     # #       #     # 
//#     # #     #  #####  ######  
//#######  #   #        # #       
//#     #   # #   #     # #       
//#     #    #     #####  #       
//
//SCRIPT FOR RETAGGING ITEMS
//BY NEEPNOOP & ANOKKA / 2021
//
onEvent('item.tags', event => {
//SILICON
	event.add('appliedenergistics2:silicon', 'emendatusenigmatica:silicon_gem')
	event.add('refinedstorage:silicon', 'emendatusenigmatica:silicon_gem')
	event.add('forge:gems/certus_quartz', 'emendatusenigmatica:charged_certus_quartz_gem')
	event.add('forge:ores/niter', 'emendatusenigmatica:potassium_nitrate_chunk')

//COAL GEM
	event.add('forge:gems', 'minecraft:coal')
	event.add('forge:gems/coal', 'minecraft:coal')
	event.add('forge:gems', 'minecraft:charcoal')
	event.add('forge:gems/charcoal', 'minecraft:charcoal')

//SAWS
	event.get('forge:saws').add('cb_microblock:stone_saw').add('cb_microblock:iron_saw').add('cb_microblock:diamond_saw')

//STRIPPED LOGS
	event.get('minecraft:logs/stripped')
		.add('minecraft:stripped_oak_log')
		.add('minecraft:stripped_spruce_log')
		.add('minecraft:stripped_birch_log')
		.add('minecraft:stripped_jungle_log')
		.add('minecraft:stripped_acacia_log')
		.add('minecraft:stripped_dark_oak_log')
		.add('minecraft:stripped_crimson_stem')
		.add('minecraft:stripped_warped_stem')

//ENDER DUST
	event.add('forge:dusts', 'appliedenergistics2:ender_dust')
	event.add('forge:dusts/ender', 'appliedenergistics2:ender_dust')

//FLOUR
	event.get('forge:flour')
		.add('create:wheat_flour')
		.add('appliedenergistics2:flour')
	event.get('forge:flour/flour')
		.add('create:wheat_flour')
		.add('appliedenergistics2:flour')

//DOUGH
	event.get('forge:dough')
		.add('create:dough')
	event.get('forge:dough/dough')
		.add('create:dough')

//RED ALLOY
	event.add('forge:ingots', 'extendedcrafting:redstone_ingot')
	event.add('forge:ingots/red_alloy', 'extendedcrafting:redstone_ingot')

//DRAGON SCALES
	event.get('forge:scales/dragon_scale')
		.add('cagedmobs:dragon_scale')
		.add('tconstruct:dragon_scale')
		.add('quark:dragon_scale')

//SALT
	event.add('forge:salt/salt', 'mekanism:salt')

//ENS INGOTS
	event.remove('forge:ingots', 'exnihilosequentia:ingot_lead')
	event.remove('forge:ingots/lead', 'exnihilosequentia:ingot_lead')
	event.remove('forge:ingots', 'exnihilosequentia:ingot_nickel')
	event.remove('forge:ingots/nickel', 'exnihilosequentia:ingot_nickel')
	event.remove('forge:ingots', 'exnihilosequentia:ingot_silver')
	event.remove('forge:ingots/silver', 'exnihilosequentia:ingot_silver')
	event.remove('forge:ingots', 'exnihilosequentia:ingot_tin')
	event.remove('forge:ingots/tin', 'exnihilosequentia:ingot_tin')
	event.remove('forge:ingots', 'exnihilosequentia:ingot_aluminum')
	event.remove('forge:ingots/aluminum', 'exnihilosequentia:ingot_aluminum')
	event.remove('forge:ingots', 'exnihilosequentia:ingot_uranium')
	event.remove('forge:ingots/uranium', 'exnihilosequentia:ingot_uranium')

//DARK GLASS
	event.remove('framedblocks:frameable', 'darkutils:dark_glass')
	event.remove('forge:glass', 'darkutils:dark_glass')
//
//STORAGEDRAWERS
	mc_wood_types.forEach(wood => {
		event.add(SD("trim"), SD(`${wood}_trim`))
		event.add(SD(`drawers/full`), SD(`${wood}_full_drawers_1`))
		event.add(SD(`drawers/full/1`), SD(`${wood}_full_drawers_1`))
		event.add(SD(`drawers/full`), SD(`${wood}_full_drawers_2`))
		event.add(SD(`drawers/full/2`), SD(`${wood}_full_drawers_2`))
		event.add(SD(`drawers/full`), SD(`${wood}_full_drawers_4`))
		event.add(SD(`drawers/full/4`), SD(`${wood}_full_drawers_4`))
		event.add(SD(`drawers/half`), SD(`${wood}_half_drawers_1`))
		event.add(SD(`drawers/half/1`), SD(`${wood}_half_drawers_1`))
		event.add(SD(`drawers/half`), SD(`${wood}_half_drawers_2`))
		event.add(SD(`drawers/half/2`), SD(`${wood}_half_drawers_2`))
		event.add(SD(`drawers/half`), SD(`${wood}_half_drawers_4`))
		event.add(SD(`drawers/half/4`), SD(`${wood}_half_drawers_4`))
	})
//
//COGWHEELS
	event.get('forge:cogwheels')
		.remove('creategearaddon:cherry_cogwheel')
		.remove('creategearaddon:dead_cogwheel')
		.remove('creategearaddon:fir_cogwheel')
		.remove('creategearaddon:hellbark_cogwheel')
		.remove('creategearaddon:jacaranda_cogwheel')
		.remove('creategearaddon:magic_cogwheel')
		.remove('creategearaddon:mahogany_cogwheel')
		.remove('creategearaddon:palm_cogwheel')
		.remove('creategearaddon:redwood_cogwheel')
		.remove('creategearaddon:umbran_cogwheel')
		.remove('creategearaddon:willow_cogwheel')
	event.get('forge:large_cogwheels')
		.remove('creategearaddon:large_cherry_cogwheel')
		.remove('creategearaddon:large_dead_cogwheel')
		.remove('creategearaddon:large_fir_cogwheel')
		.remove('creategearaddon:large_hellbark_cogwheel')
		.remove('creategearaddon:large_jacaranda_cogwheel')
		.remove('creategearaddon:large_magic_cogwheel')
		.remove('creategearaddon:large_mahogany_cogwheel')
		.remove('creategearaddon:large_palm_cogwheel')
		.remove('creategearaddon:large_redwood_cogwheel')
		.remove('creategearaddon:large_umbran_cogwheel')
		.remove('creategearaddon:large_willow_cogwheel')
//
//fin
//
})